Bug 1411967 - NetApp NFS Cmode: Fix NotFound exception - backport upstream fix
Summary: NetApp NFS Cmode: Fix NotFound exception - backport upstream fix
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 9.0 (Mitaka)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks: 1411963
TreeView+ depends on / blocked
 
Reported: 2017-01-10 21:06 UTC by Eric Harney
Modified: 2019-10-09 16:08 UTC (History)
5 users (show)

Fixed In Version: openstack-cinder-8.1.1-5.el7ost
Doc Type: No Doc Update
Doc Text:
Clone Of: 1411963
Environment:
Last Closed: 2017-03-09 17:53:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0478 0 normal SHIPPED_LIVE openstack-cinder bug fix advisory 2017-03-09 22:53:43 UTC

Description Eric Harney 2017-01-10 21:06:55 UTC
+++ This bug was initially created as a clone of Bug #1411963 +++

Description of problem:
Please backport https://github.com/openstack/cinder/commit/0125df9c25c156142d73356e305e3a31513a1fe8 into OSP 8

Version-Release number of selected component (if applicable):
OSP 8, python-cinder-7.0.3-1.el7ost.noarch

Additional info:
When python tries to catch an exception in Netapp's nfs_cmode.py, the following log entry is generated:
~~~
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode [req-72c563cf-dde9-49ad-8b31-473e9753e535 - - - - -] Copy offload workflow unsuccessful. type object 'exceptions.Exception' has no attribute 'NotFound'
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode Traceback (most recent call last):
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode   File "/usr/lib/python2.7/site-packages/cinder/volume/drivers/netapp/dataontap/nfs_cmode.py", line 425, in copy_image_to_volume
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode     image_id)
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode   File "/usr/lib/python2.7/site-packages/cinder/utils.py", line 872, in trace_method_logging_wrapper
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode     return f(*args, **kwargs)
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode   File "/usr/lib/python2.7/site-packages/cinder/utils.py", line 872, in trace_method_logging_wrapper
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode     return f(*args, **kwargs)
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode   File "/usr/lib/python2.7/site-packages/cinder/volume/drivers/netapp/dataontap/nfs_cmode.py", line 512, in _copy_from_img_service
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode     except Exception.NotFound:
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode AttributeError: type object 'exceptions.Exception' has no attribute 'NotFound'
2017-01-05 14:12:00.520 24342 ERROR cinder.volume.drivers.netapp.dataontap.nfs_cmode 
~~~

Comment 4 errata-xmlrpc 2017-03-09 17:53:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0478.html


Note You need to log in before you can comment on or make changes to this bug.